View Issue Details

IDProjectCategoryView StatusLast Update
0002963OpenFOAM[All Projects] Bugpublic2018-06-15 10:13
ReporterHan2018Assigned Tochris 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUnixOSOtherOS Version(please specify)
Product Version5.0 
Fixed in Version 
Summary0002963: openfoam5-macos: Never continue after Launching
DescriptionI followed the instructions in this page https://openfoam.org/download/5-0-macos/
to install Openfoamv5 on my Mac Pro.
However, after I operated openfoam5-macos in $HOME/openfoam, it never continues and the screen displays: "Launching /usr/local/bin/openfoam5-macos
User: "HL" (ID 501, group ID 20)".
Steps To Reproducecd $HOME/openfoam
openfoam5-macos
Launching /usr/local/bin/openfoam5-macos
User: "HL" (ID 501, group ID 20)
TagsNo tags attached.

Activities

Han2018

2018-05-30 08:11

reporter  

pic.png (107,004 bytes)
pic.png (107,004 bytes)

Han2018

2018-05-30 08:14

reporter   ~0009673

My Mac Pro version is macOS High Sierra 10.13.4.
My docker version is Version 18.03.1-ce-mac65, which is running well.

chris

2018-05-30 19:19

manager   ~0009676

We do not have access to a machine to test this which makes it very hard to diagnose.

Are you certain docker is running OK? The reason for asking is that the openfoam5-macos script has been used by mac users for almost a year and this is the first report of its kind. There is a reported problem with High Sierra 10.13.4, with docker 18.03.0:
https://github.com/docker/for-mac/issues/2775

If that issue is not related, can you go through the troubleshoot guide:
https://docs.docker.com/docker-for-mac/troubleshoot/

Han2018

2018-06-01 05:38

reporter   ~0009680

I have noted this paragraph in openfoam5-macos´╝Ü
#[ "$IP" ] || \
# usage "Cannot find a network IP for DISPLAY with ifconfig" \
# "Please report an issue at http://bugs.openfoam.org" \
# " providing the output of the command: ifconfig"

# xhost + "$IP"

Then the image downloading process begun.

wyldckat

2018-06-01 22:14

updater   ~0009686

@Han2018: From your description and latest workaround, it seems that the wrong IP address was retrieved by the 'openfoam5-macos' script.

If you run "ifconfig" in the usual terminal on your Mac OS X (not within the Docker container), it should provide a list of Ethernet connections, from which the script looks for the lines that start with "en".

From what I can see in the script code, it seems like the script will use the first valid-looking IP address on the list for an entry starting with the name "en". If you check this yourself, perhaps the first IP it finds is protected by a firewall or it's simply a dead/fake Ethernet connection?

chris

2018-06-02 09:55

manager   ~0009692

@Han2018:

You say the image downloaded. Did it run, i.e. could you use OpenFOAM?

Type the following command and let us know the output:

ifconfig

Also before "xhost + $IP", insert in the script:
echo $IP
exit

The echo command will print the $IP; please send the output. exit will exit the script prematurely while you are testing. You can remove it later.

chris

2018-06-13 18:21

manager   ~0009757

@Han2018: are you going to respond to your reported issue?

Han2018

2018-06-14 06:53

reporter   ~0009759

Yes, I can use OpenFoam now.
 
The output of "ifconfig" is:

lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> mtu 16384
    options=1203<RXCSUM,TXCSUM,TXSTATUS,SW_TIMESTAMP>
    inet 127.0.0.1 netmask 0xff000000
    inet6 ::1 prefixlen 128
    inet6 fe80::1%lo0 prefixlen 64 scopeid 0x1
    nd6 options=201<PERFORMNUD,DAD>
gif0: flags=8010<POINTOPOINT,MULTICAST> mtu 1280
stf0: flags=0<> mtu 1280
XHC20: flags=0<> mtu 0
en0: flags=8863<UP,BROADCAST,SMART,RUNNING,SIMPLEX,MULTICAST> mtu 1500
    ether ac:bc:32:9f:52:d9
    inet6 fe80::10f1:20cc:7326:1db0%en0 prefixlen 64 secured scopeid 0x5
    inet6 2001:da8:201:3204:186c:a120:3e99:7f17 prefixlen 64 autoconf secured
    inet6 2001:da8:201:3204:dc68:a060:94bd:fcc4 prefixlen 64 autoconf temporary
    inet 10.0.204.166 netmask 0xfffffc00 broadcast 10.0.207.255
    nd6 options=201<PERFORMNUD,DAD>
    media: autoselect
    status: active
p2p0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> mtu 2304
    ether 0e:bc:32:9f:52:d9
    media: autoselect
    status: inactive
awdl0: flags=8943<UP,BROADCAST,RUNNING,PROMISC,SIMPLEX,MULTICAST> mtu 1484
    ether 0e:89:0f:af:eb:c1
    inet6 fe80::c89:fff:feaf:ebc1%awdl0 prefixlen 64 scopeid 0x7
    nd6 options=201<PERFORMNUD,DAD>
    media: autoselect
    status: active
en1: flags=8963<UP,BROADCAST,SMART,RUNNING,PROMISC,SIMPLEX,MULTICAST> mtu 1500
    options=60<TSO4,TSO6>
    ether 4a:00:02:e6:c2:00
    media: autoselect <full-duplex>
    status: inactive
en2: flags=8963<UP,BROADCAST,SMART,RUNNING,PROMISC,SIMPLEX,MULTICAST> mtu 1500
    options=60<TSO4,TSO6>
    ether 4a:00:02:e6:c2:01
    media: autoselect <full-duplex>
    status: inactive
bridge0: flags=8863<UP,BROADCAST,SMART,RUNNING,SIMPLEX,MULTICAST> mtu 1500
    options=63<RXCSUM,TXCSUM,TSO4,TSO6>
    ether 4a:00:02:e6:c2:00
    Configuration:
        id 0:0:0:0:0:0 priority 0 hellotime 0 fwddelay 0
        maxage 0 holdcnt 0 proto stp maxaddr 100 timeout 1200
        root id 0:0:0:0:0:0 priority 0 ifcost 0 port 0
        ipfilter disabled flags 0x2
    member: en1 flags=3<LEARNING,DISCOVER>
            ifmaxaddr 0 port 8 priority 0 path cost 0
    member: en2 flags=3<LEARNING,DISCOVER>
            ifmaxaddr 0 port 9 priority 0 path cost 0
    nd6 options=201<PERFORMNUD,DAD>
    media: <unknown type>
    status: inactive
utun0: flags=8051<UP,POINTOPOINT,RUNNING,MULTICAST> mtu 2000
    inet6 fe80::333b:1a10:d0a0:a8a1%utun0 prefixlen 64 scopeid 0xb
    nd6 options=201<PERFORMNUD,DAD>
utun1: flags=8051<UP,POINTOPOINT,RUNNING,MULTICAST> mtu 1380
    inet6 fe80::418e:ccb8:a313:96bf%utun1 prefixlen 64 scopeid 0xc
    inet6 fdb6:58e2:e830:df4a:418e:ccb8:a313:96bf prefixlen 64
    nd6 options=201<PERFORMNUD,DAD>
utun2: flags=8051<UP,POINTOPOINT,RUNNING,MULTICAST> mtu 1380
    inet6 fe80::cb74:a95:323a:fee%utun2 prefixlen 64 scopeid 0xd
    nd6 options=201<PERFORMNUD,DAD>
utun3: flags=8051<UP,POINTOPOINT,RUNNING,MULTICAST> mtu 1380
    inet6 fe80::79c7:b7f9:cd2e:7525%utun3 prefixlen 64 scopeid 0xe
    nd6 options=201<PERFORMNUD,DAD>

The output of "echo $IP" is :
10.0.204.166

Another problem is, my OS is Mac High Sierra 10.13.4.
It seems that XQuartz can not be opened in this version and I cannot open paraview by command "paraFoam". The output is " paraview: cannot connect to X server 10.0.204.166:0" .

chris

2018-06-14 15:14

manager   ~0009764

@Han2018: Thank you.

Can you please give me feedback on 3 questions:


1) Can you confirm that you originally could only run the OpenFOAM Docker image by commenting out the following line? (yes/no)
# xhost + "$IP"

2) Do you still need to comment out this line for the OpenFOAM Docker image to run? (yes/no)

3) Does XQuartz simply not run on 10.13.4? Which version of XQuartz?

Han2018

2018-06-14 15:22

reporter   ~0009765

1)Yes
2)Yes, I tried.
3)I don't know whether it is available on lower version.
   XQuartz: the latest version from https://www.xquartz.org/

fcontino

2018-06-14 16:23

reporter   ~0009767

@Han2018

I would strongly advise you not to run paraview through XQuartz but instead to launch paraview directly on your Mac (as opposed to in the Docker). You can do the same with gnuplot.

Since all your results will be in the run directory and you have direct access, this will be way more efficient than going through a X window.

If I understand well you still have an issue with xhost + "$IP"?
I can't reproduce your problem on my machine and I don't really understand it either since you have no problem with the variable $IP.

Han2018

2018-06-14 16:28

reporter   ~0009768

Maybe this is related to the VPN I'm using.
Thank for your advice!

fcontino

2018-06-15 09:42

reporter   ~0009773

@Han2018 : that's a possibility, could you try without it so we can close this thread?

Thanks.

Han2018

2018-06-15 09:46

reporter   ~0009774

I can't because I'm in China and I have to use it to access this website.
I guess this is the reason. You can close it.
Many thanks

Issue History

Date Modified Username Field Change
2018-05-30 08:11 Han2018 New Issue
2018-05-30 08:11 Han2018 File Added: pic.png
2018-05-30 08:14 Han2018 Note Added: 0009673
2018-05-30 08:42 henry Priority urgent => normal
2018-05-30 08:42 henry Severity major => minor
2018-05-30 19:19 chris Note Added: 0009676
2018-06-01 05:38 Han2018 Note Added: 0009680
2018-06-01 22:14 wyldckat Note Added: 0009686
2018-06-02 00:20 wyldckat Summary Never continue after Launching => openfoam5-macos: Never continue after Launching
2018-06-02 09:55 chris Note Added: 0009692
2018-06-13 18:21 chris Note Added: 0009757
2018-06-14 06:53 Han2018 Note Added: 0009759
2018-06-14 15:14 chris Note Added: 0009764
2018-06-14 15:22 Han2018 Note Added: 0009765
2018-06-14 16:23 fcontino Note Added: 0009767
2018-06-14 16:28 Han2018 Note Added: 0009768
2018-06-15 09:42 fcontino Note Added: 0009773
2018-06-15 09:46 Han2018 Note Added: 0009774
2018-06-15 10:13 chris Assigned To => chris
2018-06-15 10:13 chris Status new => resolved
2018-06-15 10:13 chris Resolution open => fixed